GroovyObjectWrapper (Groovy 2.4.11)
Date: 2017-04-27

org.codehaus.groovy.runtime.wrappers

## Class GroovyObjectWrapper

- java.lang.Object
- - org.codehaus.groovy.runtime.wrappers.Wrapper
  - - org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

- All Implemented Interfaces:
    GroovyObject

      public class GroovyObjectWrapper
      extends Wrapper

  Author:
    John Wilson

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GroovyObject` | `wrapped`

    - ### Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

      `constrainedType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MetaClass` | `getDelegatedMetaClass()`
    `Object` | `getProperty(String property)` Retrieves a property value.
    `protected Object` | `getWrapped()`
    `Object` | `invokeMethod(String name, Object args)` Invokes the given method.
    `void` | `setMetaClass(MetaClass metaClass)` Allows the MetaClass to be replaced with a derived implementation.
    `void` | `setProperty(String property, Object newValue)` Sets the given property to the new value.
    `Object` | `unwrap()`

    - ### Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

      `getMetaClass, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrapped

          protected final GroovyObject wrapped

  - ### Constructor Detail

    - #### GroovyObjectWrapper

          public GroovyObjectWrapper(GroovyObject wrapped,
                                     Class constrainedType)

  - ### Method Detail

    - #### unwrap

          public Object unwrap()

      Specified by:
        `unwrap` in class `Wrapper`

    - #### getProperty

          public Object getProperty(String property)

      Description copied from interface: `GroovyObject`
      Retrieves a property value.
      Parameters:
        `property` - the name of the property of interest
      Returns:
        the given property

    - #### invokeMethod

          public Object invokeMethod(String name,
                                     Object args)

      Description copied from interface: `GroovyObject`
      Invokes the given method.
      Parameters:
        `name` - the name of the method to call
        `args` - the arguments to use for the method call
      Returns:
        the result of invoking the method

    - #### setMetaClass

          public void setMetaClass(MetaClass metaClass)

      Description copied from interface: `GroovyObject`
      Allows the MetaClass to be replaced with a derived implementation.
      Parameters:
        `metaClass` - the new metaclass

    - #### setProperty

          public void setProperty(String property,
                                  Object newValue)

      Description copied from interface: `GroovyObject`
      Sets the given property to the new value.
      Parameters:
        `property` - the name of the property of interest
        `newValue` - the new value for the property

    - #### getWrapped

          protected Object getWrapped()

      Specified by:
        `getWrapped` in class `Wrapper`

    - #### getDelegatedMetaClass

          protected MetaClass getDelegatedMetaClass()

      Specified by:
        `getDelegatedMetaClass` in class `Wrapper`